# Interface AsyncCallback.EphemeralsCallback

All Superinterfaces:
  `AsyncCallback`

Enclosing interface:
  `AsyncCallback`

public static interface AsyncCallback.EphemeralsCallback extends AsyncCallback
This callback is used to process the getEphemerals results from a single getEphemerals call.

Since:
  3.6.0
See Also:
  - `ZooKeeper.getEphemerals(AsyncCallback.EphemeralsCallback, Object)`
  - `ZooKeeper.getEphemerals(String, AsyncCallback.EphemeralsCallback, Object)`

## Nested Class Summary

### Nested classes/interfaces inherited from interface AsyncCallback

`AsyncCallback.ACLCallback, AsyncCallback.AllChildrenNumberCallback, AsyncCallback.Children2Callback, AsyncCallback.ChildrenCallback, AsyncCallback.Create2Callback, AsyncCallback.DataCallback, AsyncCallback.EphemeralsCallback, AsyncCallback.MultiCallback, AsyncCallback.StatCallback, AsyncCallback.StringCallback, AsyncCallback.VoidCallback`

## Method Summary

Modifier and Type
Method
Description
`void`
`processResult(int rc, Object ctx, List<String> paths)`

## Method Details

### processResult

void processResult(int rc, Object ctx, List<String> paths)

Parameters:
  `rc` - The return code or the result of the call.
  `ctx` - Whatever context object that we passed to asynchronous calls.
  `paths` - The path that we passed to asynchronous calls.